package com.quansu.heifengwuliu.fragment

import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.ViewGroup
import com.quansu.heifengwuliu.base.MBFragment
import com.quansu.heifengwuliu.databinding.FragmentOwnerimgBinding
import com.ysnows.base.base.BRepository
import com.ysnows.base.base.BViewModel

/**
 * 车辆图片
 *Created by shihuiyun
 *on 2020/9/11
 */
class OwnerImgFragment : MBFragment<BViewModel<BRepository>, FragmentOwnerimgBinding>(){


    var url:String=""
    override fun __before(savedInstanceState: Bundle?) {
        super.__before(savedInstanceState)
        val arguments = arguments
        if(null!=arguments) url=arguments.getString("img")

        Log.e("-shy-", "__before:= "+url )

    }

    override fun init(savedInstanceState: Bundle?) {
        super.init(savedInstanceState)
    }

    override fun binding(inflater: LayoutInflater, container: ViewGroup?): FragmentOwnerimgBinding {
       return  FragmentOwnerimgBinding.inflate(layoutInflater)
    }

    override fun title(): String? {
        return null
    }
}
